List transaction currencies
GET /api/v1/programmatic/currencies
/api/v1/programmatic/currenciesReturns the currency catalog ordered for the PAT workspace, including enabled and primary flags.
Code examples
curl --request GET \
--url 'https://api.tetri.app/api/v1/programmatic/currencies' \
--header 'Authorization: Bearer $TETRI_API_TOKEN'Responses
{
"data": [
{
"type": "currencies",
"id": "<uuid>",
"attributes": {
"code": "USD",
"name": "US Dollar",
"symbol": "$",
"enabled": false,
"default": false,
"decimal_places": 2,
"kind": "fiat",
"coingecko_id": "bitcoin",
"icon_url": "/api/v1/public/currency-icons/BTC.webp?v=8e8f5ec9a89b8d78",
"is_custom": false,
"auto_rate": false
}
}
],
"meta": {
"pagination": "<string>"
}
}{
"statusCode": 400,
"code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
"message": "<string>",
"error": "Bad Request",
"request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}{
"statusCode": 400,
"code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
"message": "<string>",
"error": "Bad Request",
"request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}{
"statusCode": 400,
"code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
"message": "<string>",
"error": "Bad Request",
"request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}{
"statusCode": 400,
"code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
"message": "<string>",
"error": "Bad Request",
"request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}